// $Id: CacheIndication.java,v 1.2 2002/08/05 19:03:09 drager Exp $

package org.daml.validator.indications;

import com.hp.hpl.mesa.rdf.jena.model.*;
import java.util.*;

/**
 * This indication is used to notify the user what files were substituted or loaded from the cache.
 */
public class CacheIndication extends Indication {
    
    public static int defaultLevel = Indication.INFORMATION;

    /**
     * Map that holds the substitution list.
     */
    static Map map = null;


    /**
     * Constructor for a CacheIndication.
     * @param map 	A mapping from original URIs to what was actually loaded.
     */
    public CacheIndication(Map map)
    {
	super();
	type = "Substituted Files";
	level = defaultLevel;
	this.map = map;
    }
					
    public String getMessage()
    {
	String m = "";
	m = "The following file substitutions were made by the DAML Validator:\n";
	for (Iterator i = map.entrySet().iterator(); i.hasNext(); ){
	    Map.Entry entry = (Map.Entry)i.next();
	    String orig = (String)entry.getKey();
	    String sub = (String)entry.getValue();
	    m += orig+"\n -> "+sub+"\n";
	}
	return(m);
    }

    public String getLocation()
    {
	return("");
    }

    public String getLocationXML()
	throws RDFException
    {
	return("");
    }
}
