// $Id: OutdatedURIIndication.java,v 1.3 2002/03/13 21:07:53 drager Exp $

package org.daml.validator.indications;

import java.util.Stack;

/**
 * Indication used when a namespace or imports URI is out of date.
 * Outdated URIs and their replacement URIs are defined in the preference file.
 */
public class OutdatedURIIndication extends URIIndication {
    
    public static int defaultLevel = Indication.WARNING;

    /**
     * The file extension that was found.
     */
    public String substitute = "";
    
    public OutdatedURIIndication(String uri, Stack stack, String substitute) 
    {
	super(uri, stack);
	level = defaultLevel;
	type = "Preferred URI";
	this.substitute = substitute;
    }

    public String getMessage()
    {
	return(uri+" is not the preferred URI and should be replaced with "+substitute+".");
    }
	
}
