// $Id: ParseIndication.java,v 1.11 2002/08/05 19:03:09 drager Exp $

package org.daml.validator.indications;

import java.util.Stack;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

/**
 * A ParseIndication is created if the parser encounters a problem while
 * parsing the URI to validate or a referenced namespace.
 */
public class ParseIndication extends URIIndication{

    public static int defaultLevel = Indication.WARNING;

    /**
     * The exception or error returned by the parser.
     */
    Throwable exception;

    /**
     * Constructor for a ParseIndication.
     * @param uri	The URI that caused the parse exception.
     * @param exception	The parse exception.
     * @param message	Any additional comments.
     */
    public ParseIndication(String uri, Stack stack, Throwable exception)
    {
	super(uri, stack);
	this.exception = exception;
	level = defaultLevel;
	type = "Parser Error";
    }

    public String getMessage() 
    {
	String m = "Parse exception occurred while parsing "+uri+".";
	if (exception != null) {
	    m += "\n" + exception.getClass().getName() + ": " + exception.getMessage();
	    if (exception instanceof SAXException) {
		Exception e = ((SAXException)exception).getException();
		m += "\n  "+ e.getClass().getName() + ": " + e.getMessage();
	    }		
	}
	return(m);
    }    

}
